> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current exchange rate between two currencies.

> Returns the current exchange rate from the "from" currency to the "to" currency.
The exchange rate is updated roughly every 30s. Note that as of this writing,
Bridge does not offer a "quote" by which a user can lock in a rate for a given
amount of time. This is provided only as a courtesy to estimate what you are
likely to get in a subsequent transfer request that involves currency exchange.

As of March 2026, we support:
  - `USD <> BRL`
  - `USD <> COP`
  - `USD <> EUR`
  - `USD <> GBP`
  - `USD <> MXN`
  - `USD <> USDT`




## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json get /exchange_rates
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /exchange_rates:
    get:
      tags:
        - Exchange Rates
      summary: Get current exchange rate between two currencies.
      description: >
        Returns the current exchange rate from the "from" currency to the "to"
        currency.

        The exchange rate is updated roughly every 30s. Note that as of this
        writing,

        Bridge does not offer a "quote" by which a user can lock in a rate for a
        given

        amount of time. This is provided only as a courtesy to estimate what you
        are

        likely to get in a subsequent transfer request that involves currency
        exchange.


        As of March 2026, we support:
          - `USD <> BRL`
          - `USD <> COP`
          - `USD <> EUR`
          - `USD <> GBP`
          - `USD <> MXN`
          - `USD <> USDT`
      parameters:
        - in: query
          name: from
          required: true
          description: The currency code to convert from.
          example: usd
          schema:
            type: string
            enum:
              - brl
              - cop
              - eur
              - gbp
              - mxn
              - usd
              - usdt
        - in: query
          name: to
          required: true
          description: The currency code to convert to.
          example: eur
          schema:
            type: string
            enum:
              - brl
              - cop
              - eur
              - gbp
              - mxn
              - usd
              - usdt
      responses:
        '200':
          description: The exchange rate information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  midmarket_rate:
                    type: string
                    example: '0.93425'
                    description: The midmarket exchange rate.
                  buy_rate:
                    type: string
                    example: '0.9389'
                    description: >-
                      The rate for buying the target currency, including
                      Bridge's fee.
                  sell_rate:
                    type: string
                    example: '0.9296'
                    description: >-
                      The rate for selling the target currency, including
                      Bridge's fee.
                  updated_at:
                    type: string
                    format: date-time
                    example: '2026-01-15T12:00:00.000Z'
                    description: >-
                      The timestamp when the exchange rate was last collected
                      from the market data provider.
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````